Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Fresh install, gcc-6.4.0 and glibc fail
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
WvR
Apprentice
Apprentice


Joined: 03 Mar 2011
Posts: 181
Location: Tsuruga, Japan

PostPosted: Fri Dec 29, 2017 11:30 am    Post subject: Fresh install, gcc-6.4.0 and glibc fail Reply with quote

I have just installed gentoo freshly on a laptop computer. Although I consider myself "experienced" with gentoo, I am running into some trouble:

Profile: I choose to use 17.1; it is the newest profile and we were requested to test it

Systemd: yes, I use systemd

Installation went OK, but upon reboot, emerge mentions that gcc-6.40 needs to be rebuilt. This fails:

Code:

/usr/x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/../lib/libc.so when searching for -lc
/usr/x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/../lib/libc.a when searching for -lc
/usr/x86_64-pc-linux-gnu/bin/ld: i386:x86-64 architecture of input file `/usr/lib/../lib/crti.o' is incompatible with i386 output
/usr/x86_64-pc-linux-gnu/bin/ld: i386:x86-64 architecture of input file `/usr/lib/../lib/crtn.o' is incompatible with i386 output
collect2: error: ld returned 1 exit status


So I update glibc, but causes a catastrophic failure: glibc fails during the installation phase with a message "corrupted shared library". Nothing works, everything gives the same error message, and a reboot leads to a kernel panic ("attempting to kill init").

What is going on?

I will go to profile 17.0 for now.
Back to top
View user's profile Send private message
Frenkfil
n00b
n00b


Joined: 30 Dec 2017
Posts: 5

PostPosted: Sat Dec 30, 2017 11:01 am    Post subject: Reply with quote

I confirm same problem for me....now i trying switch back to 17.0 :cry:
Back to top
View user's profile Send private message
charles17
Advocate
Advocate


Joined: 02 Mar 2008
Posts: 2616

PostPosted: Sat Dec 30, 2017 1:18 pm    Post subject: Re: Fresh install, gcc-6.4.0 and glibc fail Reply with quote

WvR wrote:
Profile: I choose to use 17.1; it is the newest profile and we were requested to test it

Did you completely omit all the steps of the conversion?
Back to top
View user's profile Send private message
WvR
Apprentice
Apprentice


Joined: 03 Mar 2011
Posts: 181
Location: Tsuruga, Japan

PostPosted: Sun Dec 31, 2017 2:00 am    Post subject: Re: Fresh install, gcc-6.4.0 and glibc fail Reply with quote

charles17 wrote:
WvR wrote:
Profile: I choose to use 17.1; it is the newest profile and we were requested to test it

Did you completely omit all the steps of the conversion?


I am doing a FRESH install and the list of profiles contains 17.1/gnome/systemd. Since it's a fresh install I was expecting that emerge would take care of the necessary operations. Apparently, it does not.

I switched to 17.0 and everything is OK. I may try to switch to 17.1 in the near future, but at the moment, I don't want to spend much more time.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum